> ## Documentation Index
> Fetch the complete documentation index at: https://protegee.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Bland - Get Context

> Retrieves the context for a Bland call using the customer's phone number



## OpenAPI

````yaml POST /voice/api/v1/bland/get-context
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://protegee.ai/
security:
  - bearerAuth: []
paths:
  /voice/api/v1/bland/get-context:
    post:
      tags:
        - Context
      summary: Get context for Bland call
      description: Retrieves the context for a Bland call using the customer's phone number
      operationId: getContextForBland
      parameters:
        - in: query
          name: api_token
          required: true
          schema:
            type: string
          description: API token for authentication
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - caller
              properties:
                caller:
                  type: string
                  description: Customer's phone number
                  example: '+1234567890'
      responses:
        '200':
          description: Successfully retrieved context
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                  message:
                    type: object
                    properties:
                      caller:
                        type: string
                      description:
                        type: string
                      price:
                        type: string
                      vendor:
                        type: string
                      customer_id:
                        type: string
                      callback:
                        type: string
                      email:
                        type: string
                      full_name:
                        type: string
                      memory:
                        type: string
                      status:
                        type: string
                      processor:
                        type: string
                      start_time:
                        type: string
                      debug:
                        type: object
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
components: {}

````